> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Signed Docu Sign Document

> Checks a DocuSign envelope's completion, downloads the signed PDF to S3, and files it as an onboarding document.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/save-signed-docu-sign-document
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/save-signed-docu-sign-document:
    post:
      operationId: saveSignedDocuSignDocument
      summary: Save Signed Docu Sign Document
      description: >-
        Checks a DocuSign envelope's completion, downloads the signed PDF to S3,
        and files it as an onboarding document.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveSignedDocuSignDocumentRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveSignedDocuSignDocumentResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SaveSignedDocuSignDocumentRequest:
      type: object
      properties:
        roleInOrgId:
          type: string
          format: uuid
        envelopeId:
          type: string
          format: uuid
        formType:
          type: string
          enum:
            - W4
            - W8
            - W9
            - STATE_TAX
            - I9
        templateInstanceId:
          type: string
          format: uuid
      required:
        - roleInOrgId
        - envelopeId
    SaveSignedDocuSignDocumentResponse:
      type: object
      properties:
        saved:
          type: boolean
        documentId:
          type: string
        fileId:
          type: string
        envelopeStatus:
          type: string
        pendingCountersignature:
          type: boolean
        finalizing:
          type: boolean
      required:
        - saved
        - envelopeStatus
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
